API referenceSubscriptions
Read one subscriber
active is true while the customer has paid for the current cycle (ACTIVE) or is inside the grace period (OVERDUE).
GET
active is true while the customer has paid for the current cycle (ACTIVE) or is inside the grace period (OVERDUE).
api-keyheader
x-api-key<token>Your API key: ck_test_... for test mode, ck_live_... for live. Send it with x-api-secret (or Authorization: Bearer ).
subscriberId*stringx-api-secret?stringRecommended: API secret sent over HTTPS. You may send it as Authorization: Bearer instead. If supplied, x-timestamp and x-signature are not required.
x-timestamp?stringLegacy signed mode: Unix time in milliseconds; maximum clock skew five minutes.
x-signature?stringLegacy signed mode: HMAC-SHA256(secret, timestamp.METHOD.url.idempotencyKey.bodyHash).
application/json- response
id*stringorderCode*stringcustomerId*string|nullcustomerName*stringcustomerEmail*stringamountMinor*stringcurrency*stringpaymentMethod*string|nullstatus*stringValue in
"PENDING""PROCESSING""ACTIVE""OVERDUE""LAPSED""CANCELLED"customerPhone*string|nulllastPaidAt*string|nulloverdueAt*string|nulllapsedAt*string|nullplanId*string|nullplanName*string|nullbillingCycle*|Value in
"WEEKLY""MONTHLY""QUARTERLY""BIANNUALLY""ANNUALLY"startedAt*string|nullnextBillingAt*string|nullcancelledAt*string|nullcreatedAt*stringcurl -X GET 'https://api.creddot.com/api/v1/subscriptions/subscribers/string'Example Response
{ "id": "string", "orderCode": "string", "customerId": "string", "customerName": "string", "customerEmail": "string", "amountMinor": "string", "currency": "string", "paymentMethod": "string", "status": "PENDING", "customerPhone": "string", "lastPaidAt": "string", "overdueAt": "string", "lapsedAt": "string", "planId": "string", "planName": "string", "billingCycle": "WEEKLY", "startedAt": "string", "nextBillingAt": "string", "cancelledAt": "string", "createdAt": "string"}